import { ServiceType } from "entity";
import { SelectQueryBuilder } from "typeorm";
import CommonHelper from "../helpers/common";
import { OrmHelper } from "../helpers/orm";

export class ServiceTypeModel {
	static async list(filter = {}): Promise<SelectQueryBuilder<any>> {
		const repo = OrmHelper.DB.getRepository(ServiceType);
		let whereAttr: string[] = [];
		let whereVal: any = {};
		if (filter && Object.keys(filter).length > 0) {
			whereAttr = [...whereAttr, ...CommonHelper.handleQueryFilter(filter).whereAttr];
			whereVal = { ...whereVal, ...CommonHelper.handleQueryFilter(filter).whereVal };
		}

		var query = repo.createQueryBuilder("ServiceType");
		if (whereAttr.length != 0) {
			query = query.where(whereAttr.join(" and "), whereVal);
		}

		return query;
	}
}
